#include <Wire.h>
#include <rgb_lcd.h>

rgb_lcd monRgb;

void setup()
{
  monRgb.branch();
}

void loop()
{
  monRgb.placerCurseurEn(0,0);
  bool    myBool   = true;
  int     myInt    = 12345;
  long    myLong   = 987654321;
  float   myFloat  = 3.1415;
  String  myString = "Hello!";

  monRgb.placerCurseurEn(0,0);
  monRgb.ecrire(myBool);
  delay(1000);
  
  monRgb.placerCurseurEn(0,0);
  monRgb.ecrire(myInt);
  delay(1000);

  monRgb.placerCurseurEn(0,0);
  monRgb.ecrire(myLong);
  delay(1000);

  monRgb.placerCurseurEn(0,0);
  monRgb.ecrire(myFloat);
  delay(1000);
  
  monRgb.placerCurseurEn(0,0);
  monRgb.ecrire(myString);
  delay(1000);
}

